
TYPO3 CMS Usability Team - Bug # 5324

Status: Closed Priority: Should have
Author: Steffen Gebert Category: Interface
Created: 2009-11-11 Assigned To: Jens Hoffmann
Updated: 2012-04-01 Due date:
Tags:
Subject: [team4] Rewrite tree frame using Ext.tree
Description

After reading the Tree chapter in "Learning Ext JS", I must say: We have to use this!

This would give us several UX improvements, like better drag&drop, tree search (#5311), etc.

This new Tree should be used in Filelist, Page tree, Element browser and be usable for extensions like DAM.

Related issues:
related to TYPO3 CMS Usability Team - Feature # 5367: [team4] Use ExtJS in fi... Closed 2009-11-14

History
#1 - 2009-11-13 12:48 - Steffen Gebert

This would also include #5311 / #1989

#2 - 2009-11-16 18:48 - Bodo Eichstädt
- Assigned To set to Sebastian Kurfuerst
- Target version set to TYPO3 4.4
- % Done changed from 0 to 50

in progress, will be ready at the end of this week

#3 - 2009-11-16 18:54 - Bodo Eichstädt
- Subject changed from Rewrite tree frame using Ext.tree to Rewrite tree frame using Ext.tree [team4]
- Status changed from New to Accepted

#4 - 2009-11-16 21:51 - Bodo Eichstädt
- Subject changed from Rewrite tree frame using Ext.tree [team4] to [team4] Rewrite tree frame using Ext.tree

#5 - 2010-10-16 17:07 - Jens Hoffmann
- Assigned To deleted (Sebastian Kurfuerst)

Add the Feature change request from Issue: #3096 to the tree, please.

#6 - 2010-10-16 17:34 - Jens Hoffmann
- File new-extjs-tree-features.png added
Here you could find the Tree UI changes as Designs.

new-extjs-tree-features.png

    -  Default
    -  "Filter" open
    -  Filter result (missing)
    -  "Add entry" opem
    -  "Add entry" drag to tree 
    -  Move entry - between (Recycler Drop Area open (Slides in))
    -  Move entry - into (Add as child node at top of all childes)
    -  Copy entry - Start with move + push STRG to change mode
    -  Drop denied (Unfinished Move action)
    -  New Content Menu / New Content Menu Structure

... more to come.

#7 - 2010-10-16 17:35 - Jens Hoffmann
- Category set to Interface
- Assigned To set to Jens Hoffmann
- Target version changed from TYPO3 4.4 to TYPO3 4.5 LTS

#8 - 2010-10-16 18:03 - Jens Hoffmann
- File typo3_v4_4-08_filter_aktiv.png added
- File typo3_v4_4-08_01move_between.png added
- File typo3_v4_4-08_02copy_between.png added
- File typo3_v4_4-08_03move_inside.png added
- File typo3_v4_4-08_04copy_inside.png added
- File typo3_v4_4-08_05move_between_error.png added

Updated version of the Screens a both!
Use this style please!
#9 - 2011-03-07 22:53 - Stefan Galinski

IMHO this can be closed, right? ;-)

#10 - 2012-04-01 16:33 - Felix Kopp

this is done

#11 - 2012-04-01 19:53 - Jens Hoffmann
- Status changed from Accepted to Closed

Thx for the "reminders" :)
